import { MidiChannelPrefixEvent, MidiChannelPressureEvent, MidiControlChangeEvent, MidiCopyrightNoticeEvent, MidiCuePointEvent, MidiDeviceNameEvent, MidiEndOfTrackEvent, MidiEvent, MidiInstrumentNameEvent, MidiKeyPressureEvent, MidiKeySignatureEvent, MidiLyricEvent, MidiMarkerEvent, MidiMidiPortEvent, MidiNoteOffEvent, MidiNoteOnEvent, MidiPitchBendEvent, MidiProgramChangeEvent, MidiProgramNameEvent, MidiSequencerSpecificEvent, MidiSetTempoEvent, MidiSmpteOffsetEvent, MidiSysexEvent, MidiTextEvent, MidiTimeSignatureEvent, MidiTrackNameEvent, MidiUnknownTextEvent } from '../../../midi-to-json/src/index.ts';

/**
 * type guard for a MidiUnknownTextEvent object
 * @name isMidiUnknownTextEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiUnknownTextEvent(event: Partial<MidiEvent>): event is MidiUnknownTextEvent;
/**
 * type guard for a MidiTrackNameEvent object
 * @name isMidiTrackNameEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiTrackNameEvent(event: Partial<MidiEvent>): event is MidiTrackNameEvent;
/**
 * type guard for a MidiTimeSignatureEvent object
 * @name isMidiTimeSignatureEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiTimeSignatureEvent(event: Partial<MidiEvent>): event is MidiTimeSignatureEvent;
/**
 * type guard for a MidiTextEvent object
 * @name isMidiTextEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiTextEvent(event: Partial<MidiEvent>): event is MidiTextEvent;
/**
 * type guard for a MidiSysexEvent object
 * @name isMidiSysexEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiSysexEvent(event: Partial<MidiEvent>): event is MidiSysexEvent;
/**
 * type guard for a MidiSetTempoEvent object
 * @name isMidiSetTempoEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiSetTempoEvent(event: Partial<MidiEvent>): event is MidiSetTempoEvent;
/**
 * type guard for a MidiSmpteOffsetEvent object
 * @name isMidiSmpteOffsetEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiSmpteOffsetEvent(event: Partial<MidiEvent>): event is MidiSmpteOffsetEvent;
/**
 * type guard for a MidiSequencerSpecificEvent object
 * @name isMidiSequencerSpecificEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiSequencerSpecificEvent(event: Partial<MidiEvent>): event is MidiSequencerSpecificEvent;
/**
 * type guard for a MidiProgramNameEvent object
 * @name isMidiProgramNameEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiProgramNameEvent(event: Partial<MidiEvent>): event is MidiProgramNameEvent;
/**
 * type guard for a MidiProgramChangeEvent object
 * @name isMidiProgramChangeEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiProgramChangeEvent(event: Partial<MidiEvent>): event is MidiProgramChangeEvent;
/**
 * type guard for a MidiPitchBendEvent object
 * @name isMidiPitchBendEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiPitchBendEvent(event: Partial<MidiEvent>): event is MidiPitchBendEvent;
/**
 * type guard for a MidiNoteOnEvent object
 * @name isMidiNoteOnEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiNoteOnEvent(event: Partial<MidiEvent>): event is MidiNoteOnEvent;
/**
 * type guard for a MidiNoteOffEvent object
 * @name isMidiNoteOffEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiNoteOffEvent(event: Partial<MidiEvent>): event is MidiNoteOffEvent;
/**
 * type guard for a MidiMidiPortEvent object
 * @name isMidiMidiPortEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiMidiPortEvent(event: Partial<MidiEvent>): event is MidiMidiPortEvent;
/**
 * type guard for a MidiMarkerEvent object
 * @name isMidiMarkerEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiMarkerEvent(event: Partial<MidiEvent>): event is MidiMarkerEvent;
/**
 * type guard for a MidiLyricEvent object
 * @name isMidiLyricEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiLyricEvent(event: Partial<MidiEvent>): event is MidiLyricEvent;
/**
 * type guard for a MidiKeySignatureEvent object
 * @name isMidiKeySignatureEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiKeySignatureEvent(event: Partial<MidiEvent>): event is MidiKeySignatureEvent;
/**
 * type guard for a MidiKeyPressureEvent object
 * @name isMidiKeyPressureEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiKeyPressureEvent(event: Partial<MidiEvent>): event is MidiKeyPressureEvent;
/**
 * type guard for a MidiInstrumentNameEvent object
 * @name isMidiInstrumentNameEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiInstrumentNameEvent(event: Partial<MidiEvent>): event is MidiInstrumentNameEvent;
/**
 * type guard for a MidiEndOfTrackEvent object
 * @name isMidiEndOfTrackEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiEndOfTrackEvent(event: Partial<MidiEvent>): event is MidiEndOfTrackEvent;
/**
 * type guard for a MidiDeviceNameEvent object
 * @name isMidiDeviceNameEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiDeviceNameEvent(event: Partial<MidiEvent>): event is MidiDeviceNameEvent;
/**
 * type guard for a MidiCuePointEvent object
 * @name isMidiCuePointEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiCuePointEvent(event: Partial<MidiEvent>): event is MidiCuePointEvent;
/**
 * type guard for a MidiCopyrightNoticeEvent object
 * @name isMidiCopyrightNoticeEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiCopyrightNoticeEvent(event: Partial<MidiEvent>): event is MidiCopyrightNoticeEvent;
/**
 * type guard for a MidiControlChangeEvent object
 * @name isMidiControlChangeEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiControlChangeEvent(event: Partial<MidiEvent>): event is MidiControlChangeEvent;
/**
 * type guard for a MidiChannelPressureEvent object
 * @name isMidiChannelPressureEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiChannelPressureEvent(event: Partial<MidiEvent>): event is MidiChannelPressureEvent;
/**
 * type guard for a MidiChannelPrefix event object
 * @name isMidiChannelPrefixEvent
 * @param {Partial<MidiEvent>} event
 * @returns {boolean}
 */
export declare function isMidiChannelPrefixEvent(event: Partial<MidiEvent>): event is MidiChannelPrefixEvent;
